﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace SSK.SSKClient.UIHelper
{
    public class Logger
    {
        private static bool bSetup = false;

        public bool AlreadySetup
        {
            get
            {
                return bSetup;
            }
        }

        public Logger(string path, string fileName)
        {
            if (!bSetup)
            {
                try
                {
                    string logPath = path;

                    bool log = false;

                    //log = Convert.ToBoolean(ConfigurationSettings.AppSettings["loggingEnabled"]);
                    log = true;

                    if (log)
                    {
                        // Setup logging listener
                        Trace.Listeners.Add(new TextWriterTraceListener(logPath + "\\" + fileName));
                        Trace.AutoFlush = true;
                    }
                }

                catch (System.Exception ex)
                {

                    // Do nothing, logging will not be enabled

                }

                bSetup = true;
            }

        }

        public static void Log(string s)
        {
            if ($safeprojectname$.Properties.Settings.Default.LoggingEnabled)
            {
                Trace.WriteLine(DateTime.Now.ToString() + " : " + s);
            }

        }


    }
}
